﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Serialization;

namespace NopSolutions.NopCommerce.Web.Handler
{
    /// <summary>
    /// TestFlexGrid 的摘要说明
    /// </summary>
    public class TestFlexGrid : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            int pageNo =  Int32.Parse(context.Request["page"]);
            int pageNum = Int32.Parse(context.Request["rp"]); ;
            FlexigridObject fo = new FlexigridObject();
            fo.page = pageNo;
            fo.total = 100;
            for (int i = (pageNo - 1) * pageNum + 1; i <= pageNum*pageNo; i++)
            {
                FlexigridRow fr = new FlexigridRow() { id = i.ToString(), cell = new List<string>() {  i.ToString(), "bb" + i.ToString(), "cc" + i.ToString() } };
                fo.rows.Add(fr);
            }
            JavaScriptSerializer js = new JavaScriptSerializer();
            string outStr = js.Serialize(fo);
            context.Response.Write(outStr);
        }

       
        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }

   

    public class FlexigridObject
    {
        public int page;
        public int total;
        public List<FlexigridRow> rows = new List<FlexigridRow>();
    }

    public class FlexigridRow
    {
        public string id;
        public List<string> cell = new List<string>();
    }
}